<?php

// 获取用户本人参加的志愿者活动列表
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_my_event_list.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");

$result = array();

//参数检查
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//查询用户参加的活动列表
$myEventList = array();
$param = array();
$param['user_id'] = $userMst->id;
$param['delete_flg'] = false;
$volunteerEventMemberList = VolunteerEventMemberDat::getList($param,'id','desc');
if(!empty($volunteerEventMemberList)) {
	foreach($volunteerEventMemberList as $tmp) {
		$volunteerEventDat = VolunteerEventDat::getById($tmp->volunteer_event_id);
		if(!empty($volunteerEventDat)) {
			$myEventList[] = $volunteerEventDat;
		}
	}
}

//组装返回数据
$result["myEventList"] = $myEventList;

ErrorLogger::doOutput("Compass...ajax_get_my_event_list.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>